> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get clients

Retrieve the list of clients which a contact can access, including their brands and status.


## OpenAPI

````yaml /openapi.json get /clients
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /clients:
    parameters:
      - $ref: '#/components/parameters/Authorization'
      - $ref: '#/components/parameters/XContactID'
      - name: brand
        in: query
        description: Filter clients by brand code (e.g., EBP, FXF)
        required: false
        schema:
          type: string
    get:
      tags:
        - Clients
      summary: Get clients
      description: Get all clients for a contact.
      operationId: clients_get
      responses:
        '200':
          $ref: '#/components/responses/ClientList'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '429':
          description: Too many requests
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  parameters:
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
    XContactID:
      description: The identifier of a contact.
      in: header
      name: X-Contact-ID
      required: false
      schema:
        type: string
  responses:
    ClientList:
      description: List of clients
      content:
        application/json:
          schema:
            items:
              $ref: '#/components/schemas/Client'
            type: array
    Unauthorized:
      description: Access denied due to authentication failure.
  schemas:
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    Client:
      properties:
        address_line_1:
          description: The first address line of a client.
          type: string
        address_line_2:
          description: The second address line of a client.
          type: string
        city:
          description: The city name of a client.
          type: string
        client_id:
          description: Identifier of the client.
          type: string
        client_name:
          description: Name of the client.
          type: string
        client_entity_id:
          description: The identifier of the client's legal Ebury entity.
          type: string
        client_entity_name:
          description: The name of the client's legal Ebury entity.
          type: string
        client_entity_country_iso3:
          description: >-
            The ISO 3166-1 alpha-3 code of the client's legal Ebury entity's
            country.
          pattern: '[A-Z]{3}'
          type: string
        country_code:
          description: The ISO 3166-1 alpha-2 code of the client's country.
          pattern: '[A-Z]{2}'
          type: string
        country_name:
          description: The name of the client's country.
          type: string
        post_code:
          description: The post code of the client.
          type: string
        state_province:
          description: The state or province of the client.
          type: string
        status:
          description: Status of the client.
          enum:
            - Active
            - Inactive
            - Closed
            - Blocked
          type: string
        brand_name:
          description: Brand name of the client.
          type: string
      required:
        - client_id
        - client_name
        - status
        - brand_name
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````